Núcleos soportados

Imagen de grillosolitario
4 puntos

 Buenas:

 

 Quiero instalar RTAI. Para ello debo compilar un núcleo antiguo. Quería saber qué núcleos soporta ubuntu feisty (lo he buscado, pero no lo encuentro por ninguna parte)

  Gracias.

 

Imagen de Festor
+1
0
-1

 Quería saber qué núcleos soporta ubuntu feisty (lo he buscado, pero no lo encuentro por ninguna parte)

Supongo que te refieres a que version del kernel usa Ubuntu Feisty 7.04, no?

Abre una terminal y escribe:

uname -r 

y te aparecerá la version del kernel (nucleo) que usas. 

****-------------------****

The Life of Nadock Blog

****-------------------****

+1
0
-1
Imagen de grillosolitario
+1
0
-1

 Buenas:

   No, no me refiero a eso. A ver, para compilar RTAI necesito un kernel 'virgen', y no puede ser cualquiera. Sólo valen algunos (por ejemplo el 2.6.17) Lo que quiero es saber si Ubuntu feisty funciona con ese kernel, y si no con algún otro que RTAI permita usar.En resumen, loq ue quiero es una lista con los kérneles que ubuntu feisty admita.

  Muchas gracias

 

 

+1
0
-1
Imagen de elgatogordo
+1
0
-1

se que el caso inverso (instalar una versión posterior al kernel actual de ubuntu descargada de kernel.org) funcioa perfectamente, pero no tengo idea que  puede pasar compilando una versión anterior.

mi sugerencia es que instales ubuntu dapper que usa un kernel anterior a la versión que mencionas y te descargues y compiles el kernel que tu necesistas. 

su pregunta no molesta gatogordo@ubbi.com

+1
0
-1
Imagen de elgatogordo
+1
0
-1

en el synaptic SISTEMA ADMINISTRACIÓN GESTOR DE PAQUETES SYNAPTIC tienes el rtai listo para instalar y sin necesidad de complicarte la vida con el kernel 

su pregunta no molesta gatogordo@ubbi.com

+1
0
-1
Imagen de grillosolitario
+1
0
-1

 Pues es verdad. No esperaba ni de lejos que estuviera ahí. ¡Muchas gracias!

 pd: Qué mejor que te conteste un auténtico gato de Cheshire :- >>

+1
0
-1
Imagen de dfot
+1
0
-1

He tenido las mismas dudas sobre instalacion de rtai que grillosolitario,  En el momento ya instale rtai con sinaptyc, pero ahora me surgen otras dudas.

Como lo utilizo?  Tengo que cargar en el grub el kernel que se ha modificado?, como se hace eso?

O simplemente hago programas en C en los cuales incluyo las librerias de rtai?   Como los compilo estos programas y como los corro?   Bueno, en fin no se como hacerlo por favor alguien que me ayude con eso...      Gracias.

+1
0
-1
Imagen de Kafre
+1
0
-1

Hola:

 Aunque pudiera parecer facil, instalar RTAI puede resultar un infierno, de hecho Synaptic no te instala RTAI, solo te descarga las fuentes a usr/src/ asi que olvidate de los post anteriores. De compilar el Kernel no te va a salvar nadie. Si quieres puedes intentarlo con Ubuntu Studio que "creo" y digo "creo" trae RTAI preinstalado.

Por ahora vete descargando el Kernel 2.6.19 de Kernel.org y la version 3.5 de RTAI de rtai.org.

 Luego descomprimelas en tu directorio usr/src, parchea el Kernel con el adeos patch que trae rtai y compilalo desactivando module versioning support.

 Luego instala RTAI siguiendo el procedimiento indicado en los archivos del interior.

 A mi no me fona, pero seguire investigando, si saco algo en claro lo posteare por aqui.

 

Kafre 

+1
0
-1